Package org.apache.solr.client.solrj

## Class ResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser

Direct Known Subclasses:
  `BinaryResponseParser`, `InputStreamResponseParser`, `JsonMapResponseParser`, `NoOpResponseParser`, `XMLResponseParser`

    public abstract class ResponseParser
    extends Object

Since:
  solr 1.3

### Constructor Summary

Constructors
`ResponseParser()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`String` `getContentType()` Deprecated. use `getContentTypes()` instead
`Collection<String>` `getContentTypes()` A well-behaved ResponseParser will return the content-types it supports.
`String` `getVersion()`
`abstract String` `getWriterType()`
`abstract NamedList<Object>` `processResponse​(InputStream body, String encoding)`
`abstract NamedList<Object>` `processResponse​(Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseParser

    public ResponseParser()

### Method Detail

#### getWriterType

    public abstract String getWriterType()

#### processResponse

    public abstract NamedList<Object> processResponse​(InputStream body,
                                                      String encoding)

#### processResponse

    public abstract NamedList<Object> processResponse​(Reader reader)

#### getContentType

    @Deprecated
    public String getContentType()

Deprecated.
use `getContentTypes()` instead
A well-behaved ResponseParser will return its content-type.

Returns:
  the content-type this parser expects to parse

#### getContentTypes

    public Collection<String> getContentTypes()

A well-behaved ResponseParser will return the content-types it supports.

Returns:
  the content-type values that this parser is capable of parsing.

#### getVersion

    public String getVersion()

Returns:
  the version param passed to solr